Antsle Forum

Welcome to our Antsle community! This forum is to connect all Antsle users to post experiences, make user-generated content available for the entire community and more. 

Please note: This forum is about discussing one specific issue at a time. No generalizations. No judgments. Please check the Forum Rules before posting. If you have specific questions about your Antsle and expect a response from our team directly, please continue to use the appropriate channels (email: [email protected]) so every inquiry is tracked. 

You need to log in to create posts and topics.

upgrade to 0.12.1 fails on cdrtools

Not sure why I would ever need cdrtools on this box, but 'upgrade-edgelinux' runs through most ok, but this is in the final output:

 

* Messages for package app-cdr/cdrtools-3.02_alpha09:

* FAILED postinst: 1
* Setting caps 'cap_sys_resource,cap_dac_override,cap_sys_admin,cap_sys_nice,cap_net_bind_service,cap_ipc_lock,cap_sys_rawio+ep' on file '/usr/bin/cdrecord' failed:
* /var/tmp/portage/app-cdr/cdrtools-3.02_alpha09/temp/environment: line 1137: /sbin/setcap: Numerical result out of range
* ERROR: app-cdr/cdrtools-3.02_alpha09::gentoo failed (postinst phase):
* could not set caps
*
* Call stack:
* ebuild.sh, line 124: Called pkg_postinst
* environment, line 2249: Called fcaps_pkg_postinst
* environment, line 1200: Called fcaps 'cap_sys_resource,cap_dac_override,cap_sys_admin,cap_sys_nice,cap_net_bind_service,cap_ipc_lock,cap_sys_rawio+ep' 'usr/bin/cdrecord'
* environment, line 1176: Called die
* The specific snippet of code:
* die "could not set caps"
*
* If you need support, post the output of `emerge --info '=app-cdr/cdrtools-3.02_alpha09::gentoo'`,
* the complete build log and the output of `emerge -pqv '=app-cdr/cdrtools-3.02_alpha09::gentoo'`.
* The complete build log is located at '/var/tmp/portage/app-cdr/cdrtools-3.02_alpha09/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/app-cdr/cdrtools-3.02_alpha09/temp/environment'.
* Working directory: '/var/tmp/portage/app-cdr/cdrtools-3.02_alpha09/homedir'
* S: '/var/tmp/portage/app-cdr/cdrtools-3.02_alpha09/work/cdrtools-3.02_alpha09'

 

Not sure why this is loading an alpha version. Anyone have a clue how to upgrade but not include this packages (I assume that the older cdrtools will be fine).

I've tried manually removing the package and reinstalling it, but it appears that the package is broken.

Ideas?

So I was able to fix this. Appears that the "setcap" program was broken

"emerge -c sys-lib/libcap" followed by "emerge -l sys-lib/libcap" fixed the immediate error.

I was able to finish the 0.12.1 upgrade. But I still have issues with getting the console to work in the UI.

 

Hello cfm,

Thank you for your interest in edgelinux. I have submitted the ticket regarding the console. Our development team will be with you as soon as possible. Thanks again for supporting Antsle.

powered by proof factor - increase conversions with social proof notifications